# Module `wibox.layout.fixed`

### Info:

- Author: Uli Schlachter
- Copyright: 2010 Uli Schlachter
- Release: v3.5.1

## Functions

fixed:draw (wibox, cr, width, height) | Draw a fixed layout.
fixed:add (widget) | Add a widget to the given fixed layout
fixed:fit (orig_width, orig_height) | Fit the fixed layout into the given space
fixed:reset () | Reset a fixed layout.
fixed:fill_space (val) | Set the layout's fill_space property.
horizontal () | Returns a new horizontal fixed layout.
vertical () | Returns a new vertical fixed layout.

## Functions

fixed:draw (wibox, cr, width, height)
  Draw a fixed layout. Each widget gets just the space it asks for.

  ### Parameters:

  - wibox The wibox that this widget is drawn to.
  - cr The cairo context to use.
  - width The available width.
  - height The available height.

  ### Returns:

  The total space needed by the layout.
fixed:add (widget)
  Add a widget to the given fixed layout

  ### Parameters:

  - widget
fixed:fit (orig_width, orig_height)
  Fit the fixed layout into the given space

  ### Parameters:

  - orig_width The available width.
  - orig_height The available height.
fixed:reset ()
  Reset a fixed layout. This removes all widgets from the layout.
fixed:fill_space (val)
  Set the layout's fill_space property. If this property is true, the last widget will get all the space that is left. If this is false, the last widget won't be handled specially and there can be space left unused.

  ### Parameters:

  - val
horizontal ()
  Returns a new horizontal fixed layout. Each widget will get as much space as it asks for and each widget will be drawn next to its neighboring widget. Widgets can be added via :add().
vertical ()
  Returns a new vertical fixed layout. Each widget will get as much space as it asks for and each widget will be drawn next to its neighboring widget. Widgets can be added via :add().

generated by LDoc 1.3